﻿@model NatjecajViewModel

@{
    ViewData["Title"] = "Natječaj " + Model.Naziv;
}

<div class="container">
    <div class="form-group row">
        <div class="col-sm-8">
            <h4>@Model.EvidencijskiBr/@Model.Naziv</h4>
        </div>
    </div>
</div>

<div class="row justify-content-sm-center">
    <div class="col-sm-1 text-right">
        <a asp-action="EditDetail"
           asp-route-EvidencijskiBr="@Model.EvidencijskiBr"
           asp-route-page="@ViewBag.Page"
           asp-route-sort="@ViewBag.Sort"
           asp-route-ascending="@ViewBag.Ascending"
           class="btn btn-sm" title="Ažuriraj" target="_blank"><i class="fas fa-edit"></i></a>
    </div>

    <div class="col-sm-1 text-center">
        <form asp-action="Delete" method="post"
              asp-route-page="@ViewBag.Page"
              asp-route-sort="@ViewBag.Sort"
              asp-route-ascending="@ViewBag.Ascending">
            <input type="hidden" name="Oib" value="@Model.EvidencijskiBr" />
            <button type="submit" class="btn btn-sm btn-danger delete" title="Obriši">
                <i class="fas fa-trash-alt"></i>
            </button>
        </form>
    </div>

    <div class="col-sm-1 text-left">
        <a asp-action="Index"
           asp-route-page="@ViewBag.Page"
           asp-route-sort="@ViewBag.Sort"
           asp-route-ascending="@ViewBag.Ascending"
           class="btn btn-sm" title="Povratak na popis natječaja"><i class="fas fa-undo-alt"></i></a>
    </div>
</div>

<table class="table table-sm table-striped table-hover">
    <thead>
        <tr>
            @{
                string[] nazivi = {"Opis kriterija", "Brooj potrebnih stručnjaka", "Stručna sprema"};
                for (int i = 0; i < nazivi.Length; i++)
                {
                    <th>
                        @nazivi[i]
                    </th>
                }
            }
        </tr>
    </thead>

    <tbody>
        @foreach (var ns in Model.NatjecajStrucnjaci)
        {
        <tr>
            <td class="text-left col-sm-2">
                @ns.OpisKriterija
            </td>
            <td class="text-left col-sm-2">
                @ns.BrPotrebnihStrucnjaka
            </td>
            <td class="text-left col-sm-2">
                @ns.StrucnaSprema
            </td>
        </tr>
        }
    </tbody>
</table>